package engine.CollisionEngine;

import java.awt.geom.Line2D;

import java.util.ArrayList;

public class Triangle {
    public ArrayList<Line2D> sides;
    public boolean collides(Line2D line)
    {
        for(Line2D side : sides)
            if(side.intersectsLine(line))
                return true;

        return false;
    }
}
